/*
 * PID.h
 *
 *  Created on: 29.11.2019
 *      Author: alexanderbaumgartner
 *  This file is part of ELoadV1_6.

    ELoadV1_6 is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    ELoadV1_6 is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with ELoadV1_6.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

typedef struct
{
  float e;
  float e_old;
  float u;
  float u_old;
  float par_Kp;
  float par_Ki;
  float par_Ts;
  float par_max;
  float par_min;
}pi_t;


void piInit(pi_t *pi_con);
void piController(pi_t *pi_con,float ref,float act);
